Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 708)
@@ -399,10 +399,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, char defvalue)
+        @brief Parses a given String into a value of the type char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, char defvalue)
     {
         // I used value_int_ instead of value_char_ to avoid number <-> char confusion in the config-file
@@ -411,10 +411,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type unsigned char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, unsigned char defvalue)
+        @brief Parses a given String into a value of the type unsigned char and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, unsigned char defvalue)
     {
         // I used value_uint_ instead of value_uchar_ to avoid number <-> char confusion in the config-file
@@ -423,10 +423,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type float and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, float defvalue)
+        @brief Parses a given String into a value of the type float and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, float defvalue)
     {
         return string2Number(this->value_.value_float_, input, defvalue);
@@ -434,10 +434,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, double defvalue)
+        @brief Parses a given String into a value of the type double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, double defvalue)
     {
         return string2Number(this->value_.value_double_, input, defvalue);
@@ -445,10 +445,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type long double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, long double defvalue)
+        @brief Parses a given String into a value of the type long double and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, long double defvalue)
     {
         return string2Number(this->value_.value_long_double_, input, defvalue);
@@ -456,10 +456,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type bool and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, bool defvalue)
+        @brief Parses a given String into a value of the type bool and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, bool defvalue)
     {
         // Try to parse the value-string - is it a word?
@@ -484,10 +484,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type std::string and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, const std::string& defvalue)
+        @brief Parses a given String into a value of the type String and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, const String& defvalue)
     {
         // Strip the quotes
@@ -509,10 +509,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type const char* and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, const char* defvalue)
+        @brief Parses a given String into a value of the type const char* and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, const char* defvalue)
     {
         // Strip the quotes
@@ -534,10 +534,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type Ogre::Vector2 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, const Ogre::Vector2& defvalue)
+        @brief Parses a given String into a value of the type _Vector2 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, const Vector2& defvalue)
     {
         // Strip the value-string
@@ -548,5 +548,5 @@
         if (pos1 < input.length() && pos2 < input.length() && pos1 < pos2)
         {
-            std::vector<std::string> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
+            std::vector<String> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
             if (!string2Number(this->value_vector2_.x, tokens[0], defvalue.x))
             {
@@ -568,10 +568,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type Ogre::Vector3 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, const Ogre::Vector3& defvalue)
+        @brief Parses a given String into a value of the type Vector3 and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, const Vector3& defvalue)
     {
         // Strip the value-string
@@ -582,5 +582,5 @@
         if (pos1 < input.length() && pos2 < input.length() && pos1 < pos2)
         {
-            std::vector<std::string> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
+            std::vector<String> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
             if (!string2Number(this->value_vector3_.x, tokens[0], defvalue.x))
             {
@@ -607,10 +607,10 @@
 
     /**
-        @brief Parses a given std::string into a value of the type Ogre::ColourValue and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
-        @param input The string to convert
-        @param defvalue The default-value
-        @return True if the string was successfully parsed
-    */
-    bool ConfigValueContainer::parseSting(const std::string& input, const Ogre::ColourValue& defvalue)
+        @brief Parses a given String into a value of the type ColourValue and assigns it to the right variable. If the conversion failed, the default-value gets assigned.
+        @param input The string to convert
+        @param defvalue The default-value
+        @return True if the string was successfully parsed
+    */
+    bool ConfigValueContainer::parseSting(const String& input, const ColourValue& defvalue)
     {
         // Strip the value-string
@@ -621,5 +621,5 @@
         if (pos1 < input.length() && pos2 < input.length() && pos1 < pos2)
         {
-            std::vector<std::string> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
+            std::vector<String> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
             if (!string2Number(this->value_colourvalue_.r, tokens[0], defvalue.r))
             {
@@ -678,5 +678,5 @@
 
         // The string of the section we're searching
-        std::string section = "";
+        String section = "";
         section.append("[");
         section.append(this->classname_);
@@ -685,5 +685,5 @@
         // Iterate through all config-file-lines
         bool success = false;
-        std::list<std::string>::iterator it1;
+        std::list<String>::iterator it1;
         for(it1 = ConfigValueContainer::getConfigFileLines().begin(); it1 != ConfigValueContainer::getConfigFileLines().end(); ++it1)
         {
@@ -696,8 +696,8 @@
                 // We found the right section
                 bool bLineIsEmpty = false;
-                std::list<std::string>::iterator positionToPutNewLineAt;
+                std::list<String>::iterator positionToPutNewLineAt;
 
                 // Iterate through all lines in the section
-                std::list<std::string>::iterator it2;
+                std::list<String>::iterator it2;
                 for(it2 = ++it1; it2 != ConfigValueContainer::getConfigFileLines().end(); ++it2)
                 {
@@ -777,8 +777,8 @@
         @return True = it's a comment
     */
-    bool ConfigValueContainer::isComment(const std::string& line)
+    bool ConfigValueContainer::isComment(const String& line)
     {
         // Strip the line, whitespaces are disturbing
-        std::string teststring = getStrippedLine(line);
+        String teststring = getStrippedLine(line);
 
         // There are four possible comment-symbols:
@@ -798,5 +798,5 @@
         @return True = it's empty
     */
-    bool ConfigValueContainer::isEmpty(const std::string& line)
+    bool ConfigValueContainer::isEmpty(const String& line)
     {
         return getStrippedLine(line) == "";
@@ -808,7 +808,7 @@
         @return The stripped line
     */
-    std::string ConfigValueContainer::getStrippedLine(const std::string& line)
-    {
-        std::string output = line;
+    String ConfigValueContainer::getStrippedLine(const String& line)
+    {
+        String output = line;
         unsigned int pos;
         while ((pos = output.find(" ")) < output.length())
@@ -825,7 +825,7 @@
         @return The value-string
     */
-    std::string ConfigValueContainer::parseValueString(bool bStripped)
-    {
-        std::string output;
+    String ConfigValueContainer::parseValueString(bool bStripped)
+    {
+        String output;
         if (bStripped)
             output = this->getStrippedLine(*this->configFileLine_);
@@ -839,8 +839,8 @@
         @returns a list, containing all entrys in the config-file.
     */
-    std::list<std::string>& ConfigValueContainer::getConfigFileLines()
+    std::list<String>& ConfigValueContainer::getConfigFileLines()
     {
         // This is done to avoid problems while executing this code before main()
-        static std::list<std::string> configFileLinesStaticReference = std::list<std::string>();
+        static std::list<String> configFileLinesStaticReference = std::list<String>();
         return configFileLinesStaticReference;
     }
@@ -866,5 +866,5 @@
         @param filename The name of the config-file
     */
-    void ConfigValueContainer::readConfigFile(const std::string& filename)
+    void ConfigValueContainer::readConfigFile(const String& filename)
     {
         // This creates the file if it's not existing
@@ -913,5 +913,5 @@
         @param filename The name of the config-file
     */
-    void ConfigValueContainer::writeConfigFile(const std::string& filename)
+    void ConfigValueContainer::writeConfigFile(const String& filename)
     {
         // Make sure we stored the config-file in the list
@@ -930,5 +930,5 @@
 
         // Iterate through the list an write the lines into the file
-        std::list<std::string>::iterator it;
+        std::list<String>::iterator it;
         for (it = ConfigValueContainer::getConfigFileLines().begin(); it != ConfigValueContainer::getConfigFileLines().end(); ++it)
         {
@@ -943,9 +943,9 @@
         @param description The description
     */
-    void ConfigValueContainer::description(const std::string& description)
+    void ConfigValueContainer::description(const String& description)
     {
         if (!this->bAddedDescription_)
         {
-            this->description_ = std::string("ConfigValueDescription::" + this->classname_ + "::" + this->varname_);
+            this->description_ = String("ConfigValueDescription::" + this->classname_ + "::" + this->varname_);
             Language::getLanguage().addEntry(description_, description);
             this->bAddedDescription_ = true;
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 708)
@@ -43,12 +43,14 @@
 #define _ConfigValueContainer_H__
 
-#include <string>
 #include <list>
 
 #include "CorePrereqs.h"
 
-#include "OgreVector2.h"
-#include "OgreVector3.h"
-#include "OgreColourValue.h"
+#include "misc/Vector2.h"
+#include "misc/Vector3.h"
+#include "misc/Matrix3.h"
+#include "misc/Quaternion.h"
+#include "misc/String.h"
+#include "misc/ColourValue.h"
 #include "Language.h"
 
@@ -85,23 +87,23 @@
                 Bool,
                 ConstChar,
-                String,
-                Vector2,
-                Vector3,
-                ColourValue
+                _String,
+                _Vector2,
+                _Vector3,
+                _ColourValue
             };
 
-            ConfigValueContainer(const std::string& classname, const std::string& varname, int defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned int defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, char defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned char defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, float defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, double defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, long double defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, bool defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, const std::string& defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, const char* defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, Ogre::Vector2 defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, Ogre::Vector3 defvalue);
-            ConfigValueContainer(const std::string& classname, const std::string& varname, Ogre::ColourValue defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, int defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, unsigned int defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, char defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, unsigned char defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, float defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, double defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, long double defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, bool defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, const String& defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, const char* defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, Vector2 defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, Vector3 defvalue);
+            ConfigValueContainer(const String& classname, const String& varname, ColourValue defvalue);
 
             /** @returns the value. @param value This is only needed to determine the right type. */
@@ -122,50 +124,50 @@
             inline ConfigValueContainer& getValue(bool& value)                          { value = this->value_.value_bool_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(std::string& value)                   { value = this->value_string_; return *this; }
+            inline ConfigValueContainer& getValue(String& value)                   { value = this->value_string_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
             inline ConfigValueContainer& getValue(const char* value)                    { value = this->value_string_.c_str(); return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(Ogre::Vector2& value)                 { value = this->value_vector2_; return *this; }
+            inline ConfigValueContainer& getValue(Vector2& value)                 { value = this->value_vector2_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(Ogre::Vector3& value)                 { value = this->value_vector3_; return *this; }
+            inline ConfigValueContainer& getValue(Vector3& value)                 { value = this->value_vector3_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(Ogre::ColourValue& value)             { value = this->value_colourvalue_; return *this; }
+            inline ConfigValueContainer& getValue(ColourValue& value)             { value = this->value_colourvalue_; return *this; }
 
-            void description(const std::string& description);
+            void description(const String& description);
 
-            bool parseSting(const std::string& input);
+            bool parseSting(const String& input);
             void resetConfigFileEntry();
             void resetConfigValue();
 
-            static std::string getStrippedLine(const std::string& line);
-            static bool isEmpty(const std::string& line);
-            static bool isComment(const std::string& line);
+            static String getStrippedLine(const String& line);
+            static bool isEmpty(const String& line);
+            static bool isComment(const String& line);
 
         private:
-            bool parseSting(const std::string& input, int defvalue);
-            bool parseSting(const std::string& input, unsigned int defvalue);
-            bool parseSting(const std::string& input, char defvalue);
-            bool parseSting(const std::string& input, unsigned char defvalue);
-            bool parseSting(const std::string& input, float defvalue);
-            bool parseSting(const std::string& input, double defvalue);
-            bool parseSting(const std::string& input, long double defvalue);
-            bool parseSting(const std::string& input, bool defvalue);
-            bool parseSting(const std::string& input, const std::string& defvalue);
-            bool parseSting(const std::string& input, const char* defvalue);
-            bool parseSting(const std::string& input, const Ogre::Vector2& defvalue);
-            bool parseSting(const std::string& input, const Ogre::Vector3& defvalue);
-            bool parseSting(const std::string& input, const Ogre::ColourValue& defvalue);
+            bool parseSting(const String& input, int defvalue);
+            bool parseSting(const String& input, unsigned int defvalue);
+            bool parseSting(const String& input, char defvalue);
+            bool parseSting(const String& input, unsigned char defvalue);
+            bool parseSting(const String& input, float defvalue);
+            bool parseSting(const String& input, double defvalue);
+            bool parseSting(const String& input, long double defvalue);
+            bool parseSting(const String& input, bool defvalue);
+            bool parseSting(const String& input, const String& defvalue);
+            bool parseSting(const String& input, const char* defvalue);
+            bool parseSting(const String& input, const Vector2& defvalue);
+            bool parseSting(const String& input, const Vector3& defvalue);
+            bool parseSting(const String& input, const ColourValue& defvalue);
 
-            static std::list<std::string>& getConfigFileLines();
+            static std::list<String>& getConfigFileLines();
             static bool finishedReadingConfigFile(bool finished = false);
             void searchConfigFileLine();
-            std::string parseValueString(bool bStripped = true);
+            String parseValueString(bool bStripped = true);
 
-            static void readConfigFile(const std::string& filename);
-            static void writeConfigFile(const std::string& filename);
+            static void readConfigFile(const String& filename);
+            static void writeConfigFile(const String& filename);
 
-            std::string         classname_;                     //!< The name of the class the variable belongs to
-            std::string         varname_;                       //!< The name of the variable
-            std::string         defvalueString_;                //!< The string of the default-variable
+            String         classname_;                     //!< The name of the class the variable belongs to
+            String         varname_;                       //!< The name of the variable
+            String         defvalueString_;                //!< The string of the default-variable
 
             union MultiType
@@ -181,10 +183,10 @@
             } value_;                                           //!< The value of the variable
 
-            std::string         value_string_;                  //!< The value, if the variable is of the type string
-            Ogre::Vector2       value_vector2_;                 //!< The value, if the variable is of the type Vector2
-            Ogre::Vector3       value_vector3_;                 //!< The value, if the variable is of the type Vector3
-            Ogre::ColourValue   value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
+            String         value_string_;                  //!< The value, if the variable is of the type string
+            Vector2       value_vector2_;                 //!< The value, if the variable is of the type Vector2
+            Vector3       value_vector3_;                 //!< The value, if the variable is of the type Vector3
+            ColourValue   value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
 
-            std::list<std::string>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
+            std::list<String>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
 
             VariableType type_;                                 //!< The type of the variable
Index: code/branches/FICN/src/orxonox/core/CoreIncludes.h
===================================================================
--- code/branches/FICN/src/orxonox/core/CoreIncludes.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/CoreIncludes.h	(revision 708)
@@ -50,25 +50,4 @@
 #include "ConfigValueContainer.h"
 #include "Debug.h"
-
-#include "OgreVector2.h"
-#include "OgreVector3.h"
-#include "OgreColourValue.h"
-#include "OgreQuaternion.h"
-#include "OgreMatrix3.h"
-
-
-// Some typedefs
-namespace orxonox
-{
-    typedef Ogre::Vector2 Vector2;
-    typedef Ogre::Vector3 Vector3;
-    typedef Ogre::ColourValue ColourValue;
-    typedef Ogre::Radian Radian;
-    typedef Ogre::Degree Degree;
-    typedef Ogre::Real Real;
-    typedef Ogre::Quaternion Quaternion;
-    typedef Ogre::Matrix3 Matrix3;
-}
-
 
 /**
Index: code/branches/FICN/src/orxonox/core/CorePrereqs.h
===================================================================
--- code/branches/FICN/src/orxonox/core/CorePrereqs.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/CorePrereqs.h	(revision 708)
@@ -34,5 +34,5 @@
 #define _CorePrereqs_H__
 
-#include "../OrxonoxPlatform.h"
+#include "orxonox/OrxonoxPlatform.h"
 
 //-----------------------------------------------------------------------
Index: code/branches/FICN/src/orxonox/core/Error.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Error.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Error.cc	(revision 708)
@@ -26,6 +26,6 @@
  */
 
+#include "Debug.h"
 #include "Error.h"
-#include "Debug.h"
 
 namespace orxonox
@@ -36,10 +36,10 @@
 	}
 
-	Error::Error(std::string errorMsg, int errorCode)
+	Error::Error(String errorMsg, int errorCode)
 	{
 		Error(errorCode, errorMsg);
 	}
 
-	Error::Error(int errorCode, std::string errorMsg)
+	Error::Error(int errorCode, String errorMsg)
 	{
 		COUT(1) << "############################ "<< std::endl
Index: code/branches/FICN/src/orxonox/core/Error.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Error.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Error.h	(revision 708)
@@ -29,7 +29,7 @@
 #define _Error_H__
 
-#include <string>
+#include "CorePrereqs.h"
 
-#include "CorePrereqs.h"
+#include "misc/String.h"
 
 namespace orxonox
@@ -39,6 +39,6 @@
 	public:
 		Error();
-		Error(std::string errorMsg, int errorCode=0);
-		Error(int errorCode, std::string errorMsg="");
+		Error(String errorMsg, int errorCode = 0);
+		Error(int errorCode, String errorMsg = "");
 	private:
 
Index: code/branches/FICN/src/orxonox/core/Factory.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Factory.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Factory.cc	(revision 708)
@@ -42,5 +42,5 @@
         @param name The name of the wanted Identifier
     */
-    Identifier* Factory::getIdentifier(const std::string& name)
+    Identifier* Factory::getIdentifier(const String& name)
     {
         return getFactoryPointer()->identifierStringMap_[name];
@@ -61,5 +61,5 @@
         @param identifier The identifier to add
     */
-    void Factory::add(const std::string& name, Identifier* identifier)
+    void Factory::add(const String& name, Identifier* identifier)
     {
         getFactoryPointer()->identifierStringMap_[name] = identifier;
@@ -85,5 +85,5 @@
     {
         COUT(3) << "*** Factory -> Create class-hierarchy" << std::endl;
-        std::map<std::string, Identifier*>::iterator it;
+        std::map<String, Identifier*>::iterator it;
         it = getFactoryPointer()->identifierStringMap_.begin();
         (*getFactoryPointer()->identifierStringMap_.begin()).second->startCreatingHierarchy();
